Search Results for

Show / Hide Table of Contents

# Struct AdReward

The reward for the ad.

##### Implements

IEquatable<AdReward>

##### Inherited Members

object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public readonly struct AdReward : IEquatable<AdReward>

### Constructors

#### AdReward(string?, int, string?)

Initializes a new instance of the AdReward class.

##### Declaration

    public AdReward(string? rewardType, int count, string? extJsonString)

##### Parameters

Type | Name | Description
--- | --- | ---
string | rewardType | What kind of reward user earned.
int | count | How many units of reward user earned.
string | extJsonString | Exchange-specific extensions to OpenRTB.

### Fields

#### Count

Gets or sets reward count.

##### Declaration

    public readonly int Count

##### Field Value

Type | Description
--- | ---
int | How many reward units user earned.

#### ExtJsonString

Gets or sets `ext` value.

##### Declaration

    public readonly string? ExtJsonString

##### Field Value

Type | Description
--- | ---
string | Exchange-specific extensions to OpenRTB.

##### Remarks

Most likely to be a JSON object.

#### RewardType

Gets or sets reward type.

##### Declaration

    public readonly string? RewardType

##### Field Value

Type | Description
--- | ---
string | Type of reward user earned.

### Methods

#### Equals(AdReward)

Indicates whether the current object is equal to another object of the same type.

##### Declaration

    public bool Equals(AdReward other)

##### Parameters

Type | Name | Description
--- | --- | ---
AdReward | other | An object to compare with this object.

##### Returns

Type | Description
--- | ---
bool | true if the current object is equal to the `other` parameter; otherwise, false.

#### Equals(object?)

Indicates whether this instance and a specified object are equal.

##### Declaration

    public override bool Equals(object? obj)

##### Parameters

Type | Name | Description
--- | --- | ---
object | obj | The object to compare with the current instance.

##### Returns

Type | Description
--- | ---
bool | true if `obj` and this instance are the same type and represent the same value; otherwise, false.

##### Overrides

ValueType.Equals(object)

#### GetHashCode()

Returns the hash code for this instance.

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
int | A 32-bit signed integer that is the hash code for this instance.

##### Overrides

ValueType.GetHashCode()

#### ToString()

Returns the fully qualified type name of this instance.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
string | The fully qualified type name.

##### Overrides

ValueType.ToString()

### Implements

IEquatable<T>